> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tax Rate

> Admin: create a new tax rate.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/admin/tax/rates
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/tax/rates:
    post:
      tags:
        - admin:tax
      summary: Create Tax Rate
      description: 'Admin: create a new tax rate.'
      operationId: create_tax_rate_api_v1_admin_tax_rates_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaxRateCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_TaxRateOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TaxRateCreate:
      properties:
        geo_zone_id:
          type: string
          format: uuid
          title: Geo Zone Id
        name:
          type: string
          title: Name
        rate:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Rate
        type:
          type: string
          title: Type
      type: object
      required:
        - geo_zone_id
        - name
        - rate
        - type
      title: TaxRateCreate
    ApiResponse_TaxRateOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/TaxRateOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[TaxRateOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaxRateOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        geo_zone_id:
          type: string
          format: uuid
          title: Geo Zone Id
        name:
          type: string
          title: Name
        rate:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Rate
        type:
          type: string
          title: Type
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - geo_zone_id
        - name
        - rate
        - type
        - created_at
      title: TaxRateOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````